<?php
/**
 * Helper class for Big Up! Tags! module
 * 
 * @package    BigUp.Mods
 * @subpackage Modules
 * @link http://docs.joomla.org/J3.x:Creating_a_simple_module/Developing_a_Basic_Module
 * @license        GNU/GPL, see LICENSE.php
 * mod_biguptags is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
class ModBigUpTagsHelper
{
    /**
     * Retrieves the hello message
     *
     * @param   array  $params An object containing the module parameters
     *
     * @access public
     */    
   /*  public static function getTags($params)
    {

        // Obtain a database connection
        $db = JFactory::getDbo();
        // Retrieve the shout
        $query = $db->getQuery(true)
            ->select($db->quoteName('tags'))
            ->from($db->quoteName('#__biguptags'))
            ->where('tags in [ ' . $db->Quote($params));
        // Prepare the query
        $db->setQuery($query);
        // Load the row.
        $listtags = $db->loadColumn();
        $result = implode(",",$listtags);
        // Return the Hello
        return $result;
    } */

     public static function getArticles($buhtags,$counttags)
    {
        try
        {
         // Obtain a database connection
        $db = JFactory::getDbo();
        // Retrieve the shout
            $subquery = $db->getQuery(true);    
            $query = $db->getQuery(true);

            $subquery->select($db->quoteName('content_item_id'))
            ->from($db->quoteName('#__contentitem_tag_map'))
            ->where($db->quoteName('tag_id').' IN ( '.$buhtags.' )')
            ->andwhere($db->quoteName('state').' = 1')
            ->group($db->quoteName('content_item_id'))
            ->having('COUNT('.$db->quoteName('tag_id').')='.$counttags);

            $query->select($db->quoteName(array('id','title')))
            ->from($db->quoteName('#__content'))
            ->where($db->quoteName('id').' IN ('.$subquery->__toString().')')
            ->order($db->quoteName('title').' ASC ');
        } catch (Exception $e){ echo "error en: ".$e->getMessage();}

        try
        {
             // Prepare the query
            $db->setQuery($query);
            // Load the row.
        } catch(Exception $e){echo "Error en query".$e->getMessage();}
       
        try
        {
            $result = $db->loadAssocList();
        } catch (Exception $e){  echo "error en result: ".$e->getMessage(); }
        return $result;
    } 
}